# https://github.com/irungentoo/filter_audio/archive/v0.0.1.tar.gz
# https://webrtc.googlesource.com/src/+/master/LICENSE
%global srcname filter_audio
%global major 0
%global libname   %mklibname filteraudio %{major}
%global develname %mklibname filteraudio -d
%global _disable_ld_no_undefined 1

Name:           libfilteraudio
Version:        0.0.1
Release:        %mkrel 4
Summary:        Lightweight audio filtering library made from webrtc code

License:        BSD
Group:          Development/Libraries
URL:            https://github.com/irungentoo/%{srcname}
Source0:        %{srcname}-%{version}.tar.xz
Source1:        LICENSE

%description
%{summary}.

%package -n %{libname}
Summary:        %{summary}
Group:          Development/Libraries
Provides:       %{name} = %{version}-%{release}

%description -n %{libname}
%{summary}.

%package -n %{develname}
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
Development files for libfilteraudio.

%prep
%setup -qn %{srcname}-%{version}
cp %{S:1} .

%build
export CFLAGS="%{optflags}"
export LDFLAGS="%{ldflags}"
%make_build

%install
%make_install PREFIX=%{_prefix} LIBDIR=%{_lib}
find %{buildroot} -name '*.a' -delete

%files -n %{libname}
%doc LICENSE README
%{_libdir}/libfilteraudio.so.*

%files -n %{develname}
%{_includedir}/filter_audio.h
%{_libdir}/libfilteraudio.so
%{_libdir}/pkgconfig/filteraudio.pc

%changelog
* Thu Oct 27 2022 tex - 0.0.1-4pclos2022
- rebuild against updates

* Tue May 18 2021 tex - 0.0.1-3pclos2021
- rebuild against updates

* Tue Oct 15 2019 tex - 0.0.1-2pclos2019
- rebuild against updates

* Thu May 03 2018 marcin82 <fixxer1982 at gmail.com> 0.0.1-1pclos2018
- initial build
